Skip to main content
GET
Get an invoice

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

matterId
string
required
invoiceId
string
required

Response

When request is successful. Returns a 'Invoice' object.

href
string | null
relation
string | null
method
string | null
default:GET
self
object | null
id
string | null

The unique identifier of the invoice.

Example:

"16567e88-784c-470e-8952-e5a70fe2eb0c"

versionId
string | null

The unique identifier representing the current version of the invoice.

Example:

"39ffde97-eeeb-4747-bb8f-7c7c10b3c985"

matter
object | null

A link to the matter associated with the invoice.

matterId
string | null

The unique identifier of the matter this invoice belongs to.

Example:

"6398a045-509e-49a2-9268-bb8231fa9340"

lastUpdatedByUserId
string | null

The unique identifier of the user who last updated the invoice.

Example:

"5fc5ee85-6643-4623-b019-a0dccceafe47"

description
string | null

A short description of the invoice contents or purpose.

Example:

"Services provided."

status
enum<integer>

The status of the invoice.

Possible values: Draft = 0, Final = 1, Paid = 2, Deleted = 3 or Void = 4.

Available options:
0,
1,
2,
3,
4
Example:

0

invoiceNumber
integer<int64> | null

The sequential number assigned to the invoice.

Example:

10001

invoiceTitle
string | null

The main title of the invoice.

Example:

"My First Invoice"

invoiceTitleLine2
string | null

The optional second line of the invoice title.

Example:

"Subtitle"

issuedDate
string<date-time>

The date the invoice was issued.

Example:

"2022-09-16T00:00:00+00:00"

dueDate
string<date-time>

The date by which payment for the invoice is due.

Example:

"2022-09-25T00:00:00+00:00"

paidDate
string<date-time>

The date the invoice was fully paid.

Only populated if the invoice has been paid in full.

Example:

"2022-09-20T00:00:00+00:00"

discount
object | null

The discount configuration for the invoice (e.g., fixed or percentage).

See InvoiceTotals.Discount for the actual amount discounted.

surcharge
object | null

The surcharge configuration for the invoice (e.g., fixed or percentage).

debtors
object[] | null

The list of debtors associated with this invoice.

entries
object[] | null

The individual entries (fees or expenses) included in the invoice.

waived
boolean

Indicates whether the invoice has been waived.

Example:

false

invoiceTotals
object | null

The calculated totals for the invoice, including billed, paid, unpaid, tax, interest, discounts, etc.